<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package fabthemes
 */
?><!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>
<?php $skin = ft_of_get_option('fabthemes_skin','light'); ?>
<body <?php body_class( $skin ); ?>>

<div id="page" class="hfeed site">

	<div class="search-overlay">
		<a class="search-close"><i class="fa fa-times"></i></a>
		<?php get_search_form(); ?>
	</div>
	
	<div class="menu-overlay">
		<a class="menu-close"><i class="fa fa-times"></i></a>
		<nav id="site-navigation" class="mainnavigation" role="navigation">
			<?php wp_nav_menu( array( 'theme_location' => 'primary',  'menu_class' => 'topmenu',) ); ?>
		</nav><!-- #site-navigation -->		
	</div>

	<header id="masthead" class="site-header" role="banner">
		<div class="site-branding">

			<div class="floater">
				<a class="sider"> <i class="fa fa-bars"></i> </a>
				<a class="searcher"> <i class="fa fa-search"></i> </a>
			</div>

			
	<?php if (get_theme_mod(FT_scope::tool()->optionsName . '_logo', '') != '') { ?>
				<h1 class="site-title logo"><a class="mylogo" rel="home" href="<?php bloginfo('siteurl');?>/" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"><img relWidth="<?php echo intval(get_theme_mod(FT_scope::tool()->optionsName . '_maxWidth', 0)); ?>" relHeight="<?php echo intval(get_theme_mod(FT_scope::tool()->optionsName . '_maxHeight', 0)); ?>" id="ft_logo" src="<?php echo get_theme_mod(FT_scope::tool()->optionsName . '_logo', ''); ?>" alt="" /></a></h1>
	<?php } else { ?>
				<h1 class="site-title logo"><a id="blogname" rel="home" href="<?php bloginfo('siteurl');?>/" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
	<?php } ?>

			<h2 class="site-description"> <?php bloginfo( 'description' ); ?> </h2>

		</div>
	</header><!-- #masthead -->

	<div id="content" class="site-content">
		
	<?php dimox_breadcrumbs(); ?>